$AdfDhtmlSelectOneRadioPeer$$.prototype.$GetSubIdDomElement$ = function $$AdfDhtmlSelectOneRadioPeer$$$$$GetSubIdDomElement$$($subElementId$$49$$) {
  return $AdfDhtmlSelectOneRadioPeer$$.$superclass$.$GetSubIdDomElement$.call(this, $subElementId$$49$$, "input")
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlSelectOneRadioPeer.prototype.GetSubIdDomElement", {$GetSubIdDomElement$:$AdfDhtmlSelectOneRadioPeer$$.prototype.$GetSubIdDomElement$});
$AdfDhtmlSelectOneRadioPeer$$.prototype.$GetBestMatchSubId$ = function $$AdfDhtmlSelectOneRadioPeer$$$$$GetBestMatchSubId$$($domElement$$599$$) {
  var $subId$$57$$ = $AdfSubIdUtils$$.$getBestMatchSubIdDelegateSuper$($domElement$$599$$, this, $AdfDhtmlSelectOneRadioPeer$$.$_SUB_ID_MAP$, $AdfDhtmlSelectOneRadioPeer$$);
  if(!$subId$$57$$ && "INPUT" == $domElement$$599$$.tagName) {
    var $inputItemList$$ = $AdfDhtmlEditableValuePeer$$.$getContentNode$(this.$getComponent$()).getElementsByTagName("INPUT"), $i$$636_id$$370$$ = $inputItemList$$[0].id, $removeCount$$2$$ = 0;
    $i$$636_id$$370$$.indexOf("-1") + 2 == $i$$636_id$$370$$.length && $removeCount$$2$$++;
    for($i$$636_id$$370$$ = 0;$i$$636_id$$370$$ < $inputItemList$$.length;$i$$636_id$$370$$++) {
      if($inputItemList$$[$i$$636_id$$370$$].id.indexOf("-1") + 2 != $inputItemList$$[$i$$636_id$$370$$].id.length && $inputItemList$$[$i$$636_id$$370$$] == $domElement$$599$$) {
        $subId$$57$$ = "item[" + ($i$$636_id$$370$$ - $removeCount$$2$$) + "]";
        break
      }
    }
  }
  return $subId$$57$$
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlSelectOneRadioPeer.prototype.GetBestMatchSubId", {$GetBestMatchSubId$:$AdfDhtmlSelectOneRadioPeer$$.prototype.$GetBestMatchSubId$});
